Contents

# Exp Function

Returns the base of the natural logarithm (e = 2.718282) raised to a power.

## Syntax:

    Exp (Number)

## Return value:

Double

## Parameters:

Number: Any numeric expression that specifies the power that you want to raise "e" to (the base of natural logarithms). The power must be for both single-precision numbers less than or equal to 88.02969 and double-precision numbers less than or equal to 709.782712893, since LibreOfficeDev Basic returns an Overflow error for numbers exceeding these values.

### Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleLogExp
    Dim dValue As Double
        Const b1=12.345e12
        Const b2=1.345e34
        dValue=Exp( Log(b1)+Log(b2) )
        MsgBox "" & dValue & chr(13) & (b1*b2) ,0,"Multiplication by logarithm"
    End Sub

Please support us!